aboutsummaryrefslogtreecommitdiffstats
path: root/metrics/validate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'metrics/validate.sh')
-rwxr-xr-xmetrics/validate.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/metrics/validate.sh b/metrics/validate.sh
new file mode 100755
index 000000000..c4ae91e64
--- /dev/null
+++ b/metrics/validate.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+# check there are no formatting issues
+GOFMT_LINES=`gofmt -l . | wc -l | xargs`
+test $GOFMT_LINES -eq 0 || echo "gofmt needs to be run, ${GOFMT_LINES} files have issues"
+
+# run the tests for the root package
+go test -race .